/**
 * Base Exception for any error found during a request to Auth0's API
 */
export class Auth0Exception extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
Auth0Exception.UNKNOWN_ERROR = "a0.sdk.internal_error.unknown";
Auth0Exception.NON_JSON_ERROR = "a0.sdk.internal_error.plain";
Auth0Exception.EMPTY_BODY_ERROR = "a0.sdk.internal_error.empty";
Auth0Exception.EMPTY_RESPONSE_BODY_DESCRIPTION = "Empty response body";
//# sourceMappingURL=auth0Exception.js.map