/**
 * Auth Request to obtain tokens using OAuth2 {@literal /oauth/token} method
 */
export class TokenRequest {
    constructor(request) {
        this.request = request;
    }
    /**
     * Adds the code verifier to the request (Public Clients)
     *
     * @param codeVerifier the code verifier used to generate the challenge sent to /authorize.
     * @return itself
     */
    setCodeVerifier(codeVerifier) {
        this.request.addParameter(TokenRequest.OAUTH_CODE_VERIFIER_KEY, codeVerifier);
        return this;
    }
    start(callback) {
        this.request.start(callback);
    }
}
TokenRequest.OAUTH_CODE_VERIFIER_KEY = "code_verifier";
//# sourceMappingURL=tokenRequest.js.map