import { BaseRequest } from './baseRequest';
export class VoidRequest extends BaseRequest {
    constructor(url, httpMethod, errorBuilder) {
        super(url, { initWithJson: () => null }, errorBuilder);
        this.httpMethod = httpMethod;
    }
    onResponse(response) {
        if (response.statusCode >= 400) {
            this.postOnFailure(this.parseUnsuccessfulResponse(response));
            return;
        }
        this.postOnSuccess(null);
    }
    doBuildRequest() {
        const body = this.buildBody();
        return Object.assign({}, this.newRequestOptions(this.httpMethod), {
            content: body
        });
    }
}
//# sourceMappingURL=voidRequest.js.map