/**
 * The result of a successful authentication against Auth0
 * Contains the logged in user's {@link Credentials} and {@link UserProfile}.
 *
 * @see AuthenticationAPIClient#getProfileAfter(AuthenticationRequest)
 */
export class Authentication {
    constructor(profile, credentials) {
        if (profile == null) {
            throw new Error("profile must be non-null");
        }
        if (credentials == null) {
            throw new Error("credentials must be non-null");
        }
        this.profile = profile;
        this.credentials = credentials;
    }
    getProfile() {
        return this.profile;
    }
    getCredentials() {
        return this.credentials;
    }
}
//# sourceMappingURL=authentication.js.map