/**
 * Auth0 user created in a Database connection.
 *
 * @see AuthenticationAPIClient#signUp(String, String, String)
 */
export class DatabaseUser {
    constructor(email = undefined, username = undefined, emailVerified = undefined) {
        this.email = email;
        this.username = username;
        this.emailVerified = emailVerified;
    }
    static initWithJson(json) {
        const username = json["username"];
        const email = json["email"];
        let emailVerified;
        const emailVerifiedRaw = json["email_verified"];
        if (emailVerifiedRaw != null) {
            emailVerified = (typeof emailVerifiedRaw === 'boolean')
                ? emailVerifiedRaw
                : emailVerifiedRaw === 'true';
        }
        return new DatabaseUser(email, username, emailVerified);
    }
    toJSON() {
        return {
            email: this.email,
            username: this.username,
            email_verified: this.emailVerified
        };
    }
}
//# sourceMappingURL=databaseUser.js.map