import { TransactionStore } from './transactionStore';
export class SafariAuthenticationSessionCallback {
    constructor(url, schemeURL, callback) {
        this.callback = () => { };
        this.callback = callback;
        this.authSession = new SFAuthenticationSession({
            URL: url,
            callbackURLScheme: schemeURL,
            completionHandler: (url, error) => {
                this.callback(url != null);
                TransactionStore.shared.clear();
            }
        });
        this.authSession.start();
    }
    resume(url, options) {
        this.callback(true);
        return true;
    }
    cancel() {
        this.callback(false);
    }
}
//# sourceMappingURL=safariAuthenticationSessionCallback.js.map